Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 494857 - Review Request: pidgin-musictracker - Pidgin displays the musictrack currently playing in your status
Review Request: pidgin-musictracker - Pidgin displays the musictrack currentl...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
: pidgin-musictracker (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 08:12 EDT by Jan Klepek
Modified: 2009-05-06 19:29 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.4.16-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 19:29:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Klepek 2009-04-08 08:12:45 EDT
Spec URL: http://wwwnick.net/~wwwnick/fedora/pidgin-musictracker.spec
SRPM URL: http://wwwnick.net/~wwwnick/fedora/pidgin-musictracker-0.4.16-1.fc10.src.rpm

Description: Musictracker is a plugin for Pidgin which displays the media currently playing in the status message for any protocol Pidgin supports custom statuses on. 

My package review
#  MUST: rpmlint must be run on every package. 

[makerpm@fetaciq SPECS]$ rpmlint pidgin-musictracker.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[makerpm@fetaciq SPECS]$ rpmlint ../SRPMS/pidgin-musictracker-0.4.16-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[makerpm@fetaciq SPECS]$ rpmlint ../RPMS/
i386/   noarch/ 
[makerpm@fetaciq SPECS]$ rpmlint ../RPMS/i386/pidgin-musictracker-*
pidgin-musictracker-static.i386: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

No documentation available for -static package

# MUST: The package must be named according to the Package Naming Guidelines .
- ok

# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
- OK

# MUST: The package must meet the Packaging Guidelines .
- ok

# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
- OK

# MUST: The License field in the package spec file must match the actual license. 
- OK 

# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
- OK

# MUST: The spec file must be written in American English.
- OK

# MUST: The spec file for the package MUST be legible.
- IMHO OK

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
- OK

# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

- OK, builded on 
uname -a
Linux fetaciq 2.6.27.21-170.2.56.fc10.i686 #1 SMP Mon Mar 23 23:37:54 EDT 2009 i686 i686 i386 GNU/Linux

# MUST: All build dependencies must be listed in BuildRequires
- OK

# MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden
- OK

# MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
- OK

# MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

- not relocatable package, OK

# MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
- OK

# MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
- OK

# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 

- OK, defattr() present

# MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 

- OK

# MUST: Each package must consistently use macros.
- imho OK

# MUST: The package must contain code, or permissable content.
- ok

# MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
- OK, no large files present

# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
- OK

# MUST: Header files must be in a -devel package.
- no header files are installed by make install

# MUST: Static libraries must be in a -static package.
- OK

# MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
- OK, no .pc files present

# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
- OK

# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
- No devel package

# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
-OK, removed during %install

# MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the 
%install section. 
- not gui

# MUST: Packages must not own files or directories already owned by other packages. 
- OK

# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
- OK

# MUST: All filenames in rpm packages must be valid UTF-8.
-OK
Comment 1 Lubomir Rintel 2009-04-08 08:37:42 EDT
1.) Don't disable the debug package

%define debug_package %{nil}

2.) Don't ship static libraries unless necessary
I bet here's no use of it. Probably configure accepts --disable-static

%package static
...

3.) Don't strip debugging information. See 1.)

strip src/.libs/musictracker.so

4.) Please add -f here
...so that short-circuited installs work

rm %{buildroot}/%{_libdir}/pidgin/musictracker.la

5.) You don't need to specify dist tag in changelog
You may want to build a single spec file into multiple branches

* Wed Apr  9 2009 Jan Klepek <jan.klepek@hp.com> 0.4.16-1.fc10

6.) Don't call ldconfig unless you're packaging a library
This DSO is just a plugin, not at the library location

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
Comment 2 Lubomir Rintel 2009-04-08 08:39:12 EDT
Jussi; I am going to steal this one, since I'm going to sponsor Jan. He just forgot to specify FE_NEEDSPONSOR, sorry for that.
Comment 3 Susi Lehtola 2009-04-08 08:43:56 EDT
(In reply to comment #2)
> Jussi; I am going to steal this one, since I'm going to sponsor Jan. He just
> forgot to specify FE_NEEDSPONSOR, sorry for that.  

Damn, I was just about to commit the same comments as you :D

No problem, I was a bit wondering about the oddness of the packaging..
Comment 4 Susi Lehtola 2009-04-08 08:45:32 EDT
Oh, dbus-devel is redundant.

And you can probably drop the explicit Requires, since they should be picked up by rpm.
Comment 5 Jan Klepek 2009-04-08 09:30:57 EDT
updated spec/srpm file
1] 
done

2]
static package removed, --disable-static used

3]
when i have removed strip, rpmlint is complaining on 
pidgin-musictracker.i386: W: unstripped-binary-or-object
/usr/lib/pidgin/musictracker.so

output of rpmbuild:
http://wwwnick.net/~wwwnick/fedora/pidgin-musictracker.build.log

4]
done

5]
done

6]
ldconfig removed


dbus-devel removed from BuildRequire
Jussi you mean that all Requires could be removed?
Comment 7 Lubomir Rintel 2009-04-08 11:55:47 EDT
(In reply to comment #5)
> updated spec/srpm file
> 1] 
> done

Not. You just prepended it with #, which doesn't cancel the effect of macro expansion.

 
> 3]
> when i have removed strip, rpmlint is complaining on 
> pidgin-musictracker.i386: W: unstripped-binary-or-object
> /usr/lib/pidgin/musictracker.so

See 1.)

> Jussi you mean that all Requires could be removed?  

pcre and dbus. (See that the actual requires of built package overlap those with rpm -qp --requires

You still need the explicit require of pidgin.
Comment 8 Jan Klepek 2009-04-08 15:58:15 EDT
updated spec/srpm available here: 
Spec URL: http://wwwnick.net/~wwwnick/fedora/pidgin-musictracker.spec
SRPM URL:
http://wwwnick.net/~wwwnick/fedora/pidgin-musictracker-0.4.16-1.fc10.src.rpm  

rpmlint SPECS/pidgin-musictracker.spec /home/makerpm/rpmbuild/SRPMS/pidgin-musictracker-0.4.16-1.fc10.src.rpm /home/makerpm/rpmbuild/RPMS/i386/pidgin-musictracker-0.4.16-1.fc10.i386.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

thanks Lubomir for your help
Comment 9 Susi Lehtola 2009-04-08 18:26:23 EDT
*** Bug 475799 has been marked as a duplicate of this bug. ***
Comment 10 Susi Lehtola 2009-04-08 18:29:55 EDT
Jan: did you check bugzilla if there was already a review request for this package? In the future, please do so before even starting to package something. [I myself have wasted a couple of hours on a few occasions working on something that has already been done.]

This time it seemed that the old review was dead, so I closed it.
Comment 11 Lubomir Rintel 2009-04-09 01:11:15 EDT
Looks fine now.

APPROVED
Comment 12 Jan Klepek 2009-04-09 10:05:56 EDT
New Package CVS Request
=======================
Package Name: pidgin-musictracker
Short Description: Pidgin displays the musictrack currently playing in your status
Owners: hpejakle
Branches: F-9 F-10 F-11
InitialCC: hpejakle
Comment 13 Kevin Fenzi 2009-04-09 20:19:51 EDT
cvs done.
Comment 14 Fedora Update System 2009-05-03 09:16:29 EDT
pidgin-musictracker-0.4.16-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pidgin-musictracker-0.4.16-1.fc10
Comment 15 Fedora Update System 2009-05-06 19:29:52 EDT
pidgin-musictracker-0.4.16-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.